/**
 * Ruby/mSQL is mSQL library
 *
 * @author DATE Ken (as Itacchi) / ge6537@i.bekkoame.ne.jp
 * @code-name Tomoko
 * @see http://www.isc.meiji.ac.jp/~ee77038/ruby/
 */

#include "ruby.h"
#include "msql.h"
#include "site.h"

#define RUBY_MSQL_VERSION "0.2.3"

typedef struct _msql_object {
  int sock;
} msql_object;

typedef struct _msql_res_object {
  m_result *result;
} msql_res_object;



extern VALUE cMsql;
extern VALUE cMsqlRes;
extern VALUE cMsqlRow;
extern VALUE eMsql;

static VALUE msql_connect2(int, VALUE*, VALUE);
static VALUE msql_res_create(VALUE, m_result*);
static VALUE msql_res_fetch_field(VALUE);
static VALUE msql_res_fetch_row(VALUE);
static VALUE msql_field_create(m_field*);
static VALUE msql_seq_create(m_seq*);
